0

I have a 64 bit windows 10 computer with ArcGis 10.2.2 Installed. I just downloaded QGIS the newest version 2.14 64 bit. it downloads but the processing toolbox throws this error

Couldn't load plugin 'processing' 

ImportError: DLL load failed: %1 is not a valid Win32 application. 
Traceback (most recent call last):
  File "C:/PROGRA~1/QGISES~1/apps/qgis/./python\qgis\utils.py", line 281, in loadPlugin
    __import__(packageName)
  File "C:/PROGRA~1/QGISES~1/apps/qgis/./python\qgis\utils.py", line 572, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "C:/PROGRA~1/QGISES~1/apps/qgis/./python/plugins\processing\__init__.py", line 29, in 
    from processing.tools.general import *
  File "C:/PROGRA~1/QGISES~1/apps/qgis/./python\qgis\utils.py", line 572, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "C:/PROGRA~1/QGISES~1/apps/qgis/./python/plugins\processing\tools\general.py", line 28, in 
    from processing.core.Processing import Processing
  File "C:/PROGRA~1/QGISES~1/apps/qgis/./python\qgis\utils.py", line 572, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "C:/PROGRA~1/QGISES~1/apps/qgis/./python/plugins\processing\core\Processing.py", line 40, in 
    from processing.core.GeoAlgorithm import GeoAlgorithm
  File "C:/PROGRA~1/QGISES~1/apps/qgis/./python\qgis\utils.py", line 572, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "C:/PROGRA~1/QGISES~1/apps/qgis/./python/plugins\processing\core\GeoAlgorithm.py", line 41, in 
    from processing.core.parameters import ParameterRaster, ParameterVector, ParameterMultipleInput, ParameterTable, Parameter
  File "C:/PROGRA~1/QGISES~1/apps/qgis/./python\qgis\utils.py", line 572, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "C:/PROGRA~1/QGISES~1/apps/qgis/./python/plugins\processing\core\parameters.py", line 33, in 
    from processing.tools.vector import resolveFieldIndex, features
  File "C:/PROGRA~1/QGISES~1/apps/qgis/./python\qgis\utils.py", line 572, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "C:/PROGRA~1/QGISES~1/apps/qgis/./python/plugins\processing\tools\vector.py", line 19, in 
    from processing.algs.qgis import postgis_utils
  File "C:/PROGRA~1/QGISES~1/apps/qgis/./python\qgis\utils.py", line 572, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "C:/PROGRA~1/QGISES~1/apps/qgis/./python/plugins\processing\algs\qgis\postgis_utils.py", line 28, in 
    import psycopg2
  File "C:/PROGRA~1/QGISES~1/apps/qgis/./python\qgis\utils.py", line 572, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "C:\python27\arcgis10.2\lib\site-packages\psycopg2\__init__.py", line 50, in 
    from psycopg2._psycopg import BINARY, NUMBER, STRING, DATETIME, ROWID
  File "C:/PROGRA~1/QGISES~1/apps/qgis/./python\qgis\utils.py", line 572, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
ImportError: DLL load failed: %1 is not a valid Win32 application.


Python version: 2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)] 
QGIS version: 2.14.3-Essen Essen, cf2ebb8 

Python Path:
C:\Users\Ralph Zagha\.qgis2\python\plugins\GeoCoding\libs
C:/PROGRA~1/QGISES~1/apps/qgis/./python
C:/Users/Ralph Zagha/.qgis2/python
C:/Users/Ralph Zagha/.qgis2/python/plugins
C:/PROGRA~1/QGISES~1/apps/qgis/./python/plugins
C:\PROGRA~1\QGISES~1\apps\Python27\lib\site-packages\matplotlib-1.3.1-py2.7-win-amd64.egg
C:\PROGRA~1\QGISES~1\apps\Python27\lib\site-packages\nose-1.3.3-py2.7.egg
C:\PROGRA~1\QGISES~1\apps\Python27\lib\site-packages\tornado-4.0.1-py2.7-win-amd64.egg
C:\PROGRA~1\QGISES~1\apps\Python27\lib\site-packages\backports.ssl_match_hostname-3.4.0.2-py2.7.egg
C:\PROGRA~1\QGISES~1\apps\Python27\lib\site-packages\certifi-14.05.14-py2.7.egg
c:\osgeo4~1\apps\python27\lib\site-packages\python_dateutil-2.1-py2.7.egg
C:\python27\arcgis10.2\lib\site-packages
C:\python27\arcgis10.2\Script
C:\PROGRA~1\QGISES~1\bin\python27.zip
C:\PROGRA~1\QGISES~1\apps\Python27\DLLs
C:\PROGRA~1\QGISES~1\apps\Python27\lib
C:\PROGRA~1\QGISES~1\apps\Python27\lib\plat-win
C:\PROGRA~1\QGISES~1\apps\Python27\lib\lib-tk
C:\PROGRA~1\QGISES~1\bin
C:\PROGRA~1\QGISES~1\apps\Python27
c:\progra~1\qgises~1\apps\python27\lib\site-packages\jinja2-2.7.2-py2.7.egg
c:\progra~1\qgises~1\apps\python27\lib\site-packages\markupsafe-0.23-py2.7-win-amd64.egg
c:\progra~1\qgises~1\apps\python27\lib\site-packages\pytz-2012j-py2.7.egg
c:\progra~1\qgises~1\apps\python27\lib\site-packages\shapely-1.2.18-py2.7-win-amd64.egg
c:\progra~1\qgises~1\apps\python27\lib\site-packages\xlrd-0.9.2-py2.7.egg
c:\progra~1\qgises~1\apps\python27\lib\site-packages\xlwt-0.7.5-py2.7.egg
C:\PROGRA~1\QGISES~1\apps\Python27\lib\site-packages
C:\PROGRA~1\QGISES~1\apps\Python27\lib\site-packages\PIL
C:\PROGRA~1\QGISES~1\apps\Python27\lib\site-packages\win32
C:\PROGRA~1\QGISES~1\apps\Python27\lib\site-packages\win32\lib
C:\PROGRA~1\QGISES~1\apps\Python27\lib\site-packages\Pythonwin
C:\PROGRA~1\QGISES~1\apps\Python27\lib\site-packages\wx-2.8-msw-unicode
C:/Users/Ralph Zagha/.qgis2//python
C:\Users\Ralph Zagha\.qgis2\python\plugins\mmqgis/forms
C:\PROGRA~1\QGISES~1\apps\qgis\python\plugins\fTools\tools

I am not sure what to do..is it my python installation through arc that is the problem? do I have to copy my python install into the QGIS program folders?

  • Please edit your question and paste the entire error log. – HDunn May 28 '16 at 4:03
0

probably you are mixing different python libs from different python distribution:

try to clean pythonpath env var and have all your lib looked from the same env.

for osgeo4g qgis all python modules would be get from osgeo4w installation path c:\osgeo4~1\

  • I only have Python installed through ArcGIS..unless it is also installed for QGIS? – ziggy May 28 '16 at 16:00
  • Python is not installed by default on WIn => most of sw that needs Python install it as boundle with the installation (to avoid administrator permissions). This happen for arc and QGIS => QGIS uses his python and arc another one... crossing them is dangerous ;) – Luigi Pirelli May 31 '16 at 14:14
  • out of curiosity why is dangerous to cross them? – ziggy May 31 '16 at 14:54
  • was a joke from: youtube.com/watch?v=jyaLZHiJJnE – Luigi Pirelli Jun 1 '16 at 9:22

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.